{ ... }:
{
  networking.firewall.allowedTCPPorts = [ 53 ];
  networking.firewall.allowedUDPPorts = [ 53 ];
  services.adguardhome = {
    enable = true;
    openFirewall = true;
    settings = {
      dns.bind_hosts = [ "192.168.42.2" ];
      http.address = "0.0.0.0:3000";
    };
  };
}
